<?php

namespace Treewec\Utils;

/**
 * Test class for Strings.
 * Generated by PHPUnit on 2012-03-25 at 16:21:28.
 * @group utils
 */
class StringsTest extends \PHPUnit_Framework_TestCase {

    public function testUppercaseFirstLetterAndReplaceDashes() {
        $string = 'hello-World';
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($string), 'Hello World');
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($string, ' '), 'Hello World');
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($string, array()), 'hello-World');

        $invalid = array();
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($invalid), $invalid);
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($invalid, ' '), $invalid);
        parent::assertEquals(Strings::uppercaseFirstLetterAndReplaceDashes($invalid, array()), $invalid);
    }

    public function testCodePHPInString() {
        parent::assertEquals(Strings::codePHPInString('<?php echo 1; ?>'), '&amp;lt;?php echo 1; ?&amp;gt;');        
        parent::assertEquals(Strings::codePHPInString('$pl->display();'), '$pl->display();');
        parent::assertNull(Strings::codePHPInString(array()));
    }

    public function testDecodePHPInString() {        
        parent::assertEquals(Strings::decodePHPInString('&amp;lt;?php echo 1; ?&amp;gt;'), '<?php echo 1; ?>');
        parent::assertEquals(Strings::decodePHPInString('&lt;?php echo 1; ?&gt;'), '<?php echo 1; ?>');        
        parent::assertEquals(Strings::decodePHPInString('$pl-&gt;display();'), '$pl->display();');// in CKEditor/wysihtml5 there is conversion -> to -&gt;
        parent::assertNull(Strings::decodePHPInString(new \Exception()));
    }

}
?>